<?php
require_once 'translate.php';
require_once 'miniweblib.php';

$filterRequest = false;
$thisSearchKey = '';
if( $_SERVER['REQUEST_METHOD']=='POST' )
{
    $filterRequest = $_POST;

    $filterSerial = serialize( $filterRequest );
    $thisSearchKey = sha1($filterSerial);
    $cacheFileName = CCAPI_CACHEDIR.'search'.DIRECTORY_SEPARATOR.$thisSearchKey.'.post';
    file_put_contents( $cacheFileName , $filterSerial );

    header('Location: list.php?search='.urlencode($thisSearchKey));
}
elseif( $_SERVER['REQUEST_METHOD']=='GET' && array_key_exists('search',$_GET) )
{
    $thisSearchKey = $_GET['search'];
    $cacheFileName = CCAPI_CACHEDIR.'search'.DIRECTORY_SEPARATOR.$thisSearchKey.'.post';

    if( file_exists($cacheFileName) )
    {
        $tmpData = file_get_contents($cacheFileName);
        $filterRequest = unserialize($tmpData);
    }
    else
    {
        header('Location: search.php?re=nosearchid');
    }
}
else
{
    header('Location: search.php?re=nosearch');
}

    $VehicleFilterRequest = new stdClass;
    $VehicleFilterMin = new stdClass;
    $VehicleFilterMax = new stdClass;

    $VehicleFilterRequest->State = new stdClass;
    // keine Verkauften Fahrzeuge
    $VehicleFilterRequest->State->Sold = 0;
    // keine geloeschten Fahrzeuge
    $VehicleFilterRequest->State->Deleted = 0;

    $filter = new stdClass();
    $filter->BaseValue = $VehicleFilterRequest;
    $filter->MinValue = $VehicleFilterMin;
    $filter->MaxValue = $VehicleFilterMax;

    // hersteller
    if( is_array($filterRequest) && array_key_exists('make',$filterRequest) && $filterRequest['make']!='' )
    {
        $filter->BaseValue->Manufacturer = new stdClass();
        $filter->BaseValue->Manufacturer->Id = intval($filterRequest['make']);
    }

    // treibstoff
    if( is_array($filterRequest) && array_key_exists('fuel',$filterRequest) && $filterRequest['fuel']!='' )
    {
        $filter->BaseValue->Fuel = intval($filterRequest['fuel']);
    }

    // model
    if( is_array($filterRequest) && array_key_exists('model',$filterRequest) && $filterRequest['model']!='' )
    {
        $filter->BaseValue->Model = $filterRequest['model'];
    }

    // kategorie
    if( is_array($filterRequest) && array_key_exists('kfzkat',$filterRequest) && $filterRequest['kfzkat']!='' )
    {
        $filter->BaseValue->Type = intval($filterRequest['kfzkat']);
    }

    // smodel
    if( is_array($filterRequest) && array_key_exists('version',$filterRequest) && $filterRequest['version']!='' )
    {
        $filter->BaseValue->SModel = $filterRequest['version'];
    }

    // karoform
    if( is_array($filterRequest) && array_key_exists('karoform',$filterRequest) && $filterRequest['karoform']!='' )
    {
        $filter->BaseValue->FullCategory = $filterRequest['karoform'];
    }



    // color
    if( is_array($filterRequest) && array_key_exists('acolor',$filterRequest) && $filterRequest['acolor']!='' )
    {
        $filter->BaseValue->Color = new stdClass();
        $filter->BaseValue->Color->External = intval($filterRequest['acolor']);
    }

    // colormetallic
    if( is_array($filterRequest) && array_key_exists('colormetallic',$filterRequest) && $filterRequest['colormetallic']=='1' )
    {
        if( !isset($filter->BaseValue->Color) )
        {
            $filter->BaseValue->Color = new stdClass();
        }
        $filter->BaseValue->Color->Metalic = 1;
    }

    // unfallfrei
    if( is_array($filterRequest) && array_key_exists('accidentcar',$filterRequest) && $filterRequest['accidentcar']!='' )
    {
        $filter->BaseValue->FreeOfAccident = intval($filterRequest['accidentcar']);
    }

    // KW
    if( is_array($filterRequest) && array_key_exists('kw_from',$filterRequest) && $filterRequest['kw_from']!='')
    {
        $filter->MinValue->Power = intval($filterRequest['kw_from']);
    }

    if( is_array($filterRequest) && array_key_exists('kw_to',$filterRequest) && $filterRequest['kw_to']!='')
    {
        $filter->MaxValue->Power = intval($filterRequest['kw_to']);
    }

    // Accs
    if( is_array($filterRequest) && array_key_exists('accs',$filterRequest) && is_array($filterRequest['accs']))
    {
        //$filter->MaxValue->Power = intval($filterRequest['kw_to']);

        $filter->BaseValue->AccsList = new stdClass;
        foreach ( $filterRequest['accs'] as $accs_name => $accs_value )
        {
            $filter->BaseValue->AccsList->Accs[] = array('Key'=>$accs_name,'Value'=>$accs_value);
        }
    }

    // KM
    if( is_array($filterRequest) && array_key_exists('km_from',$filterRequest) && $filterRequest['km_from']!='')
    {
        $filter->MinValue->Km = intval($filterRequest['km_from']);
    }

    if( is_array($filterRequest) && array_key_exists('km_to',$filterRequest) && $filterRequest['km_to']!='')
    {
        $filter->MaxValue->Km = intval($filterRequest['km_to']);
    }

    // Erstzulassung
    if( is_array($filterRequest) && array_key_exists('ez_from',$filterRequest) && $filterRequest['ez_from']!='')
    {
        $filter->MinValue->RegDate = ($filterRequest['ez_from']);
    }

    if( is_array($filterRequest) && array_key_exists('ez_to',$filterRequest) && $filterRequest['ez_to']!='')
    {
        $filter->MaxValue->RegDate = ($filterRequest['ez_to']);
    }

    // Preis
    if( is_array($filterRequest) && array_key_exists('ep_from',$filterRequest) && $filterRequest['ep_from']!='')
    {
        $filter->MinValue->Price = new stdClass();
        $filter->MinValue->Price->Client = intval($filterRequest['ep_from']);
    }

    if( is_array($filterRequest) && array_key_exists('ep_to',$filterRequest) && $filterRequest['ep_to']!='')
    {
        $filter->MaxValue->Price = new stdClass();
        $filter->MaxValue->Price->Client = intval($filterRequest['ep_to']);
    }

try {

    $limit = 10;
    $start = 0;

    if( array_key_exists('page',$_GET) )
    {
        $page = ceil(abs($_GET['page']));
        if($page>0)
        {
            $start = ($page-1)*$limit;
        }
    }
    else
    {
        $page = 1;
    }

    $fields = array();
    $fields[]='Pictures';
    $fields[]='Price.Client';
    $fields[]='State.Sold';
    $fields[]='State.Deleted';
    $fields[]='Km';
    $fields[]='Id';
    $fields[]='Manufacturer.Name';
    $fields[]='Manufacturer.Id';
    $fields[]='Model';
    $fields[]='SModel';
    $fields[]='RegDate';
    $fields[]='Freetext.Default';

    $mtstart = microtime(true);
    $tmpreturn = cachedSearchCar( array( $filter , $fields , $start , $limit , 'Id' , 'ASC' ) ,$client);
    $mtstop = microtime(true);

    echo $mtstop-$mtstart;

    $return = $tmpreturn['VehicleFilterResponse'];
    $resultcount = $tmpreturn['Count'];
    $totalcount = $tmpreturn['TotalCount'];
}
catch ( Exception $e)
{
    echo '<div class="error">--';
    echo $e->getMessage();
    echo '--</div>';

    print_r( $e );
}

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content=
        "text/html; charset=UTF-8">

        <title>CarApi - Ergebnisse</title>
        <link rel="stylesheet" type="text/css" href="http://yui.yahooapis.com/2.4.1/build/reset-fonts-grids/reset-fonts-grids.css">
        <link rel="stylesheet" type="text/css" media="screen" href="css/design1.css">
        <script language="JavaScript" type="text/javascript" src="js/cc.js"></script>
<!--[if IE 7]>
    <link rel="stylesheet" type="text/css" href="css/ie7.css">
<![endif]-->
<!--[if lte IE 6]>
    <link rel="stylesheet" type="text/css" href="css/ie6.css">
<![endif]-->
        <link rel="stylesheet" type="text/css" media="print" href="css/design1p.css">
    </head>

    <body>

<a class="back" href="search.php?search=<?php echo $thisSearchKey; ?>">Suche verfeinern</a>

    <div class="searchListContainer">
        <h2>Suchergebnisse</h2>
        <table class="searchList">
            <thead>
                <tr>
                    <th class="pic">&nbsp;</th>
                    <th class="result">Suchergebnisse (<?php echo ($start+1).' - '.($start+$resultcount).' / '.$totalcount.' Fahrzeuge'; ?>)</th>
                    <th class="ez">EZ</th>
                    <th class="km">km</th>
                    <th class="price">Preis</th>
                </tr>
            </thead>
            <tfoot>
                <tr>
                    <td colspan="5">
                        <?php
                        $pages = ceil( $totalcount/$limit);
                        if( $pages > 1 )
                        {
                            $items = array();
                            for( $i=1 ; $i<=$pages ; $i++ )
                            {
                                if( $i == $page )
                                {
                                    $items[]=$i;
                                }
                                else
                                {
                                    $items[]='<a href="list.php?search='.$thisSearchKey.'&page='.$i.'">'.$i.'</a>';
                                }
                            }
                            echo ' [ '.implode(' ',$items).' ] ';
                        }
                        else
                        {
                            echo ' [ Seite 1 ]';
                        }
                        ?>
                    </td>
                </tr>
            </tfoot>
            <tbody>

                <?php
                //$return

                foreach( $return->Vehicle as $oneCar )
                {
                ?>

                <tr>
                    <td class="pic">
                        <?php
                            if( isset($oneCar->Pictures->Picture[0]) )
                            {
                        ?>
                        <a href="view.php?cid=<?php echo $oneCar->Id ?>&search=<?php echo $thisSearchKey; ?>">
                            <img alt="Bild" src="<?php echo $oneCar->Pictures->Picture[0]->Preview->Href ?>">
                        </a>
                        <?php
                            }
                        ?>
                    </td>
                    <td class="result">
                        <h4>
                            <a href="view.php?cid=<?php echo $oneCar->Id ?>&search=<?php echo $thisSearchKey; ?>">
                                <?php echo $oneCar->Manufacturer->Name ?>, <?php echo $oneCar->Model,' ',(isset($oneCar->SModel)?$oneCar->SModel:'') ?>
                            </a>
                        </h4>
                        <div>
                            <?php echo $oneCar->Freetext->Default ?>
                        </div>
                    </td>
                    <td class="ez"><?php echo formatEZ($oneCar->RegDate) ?></td>
                    <td class="km"><?php echo formatKM($oneCar->Km) ?></td>
                    <td class="price"><?php echo number_format($oneCar->Price->Client,2,',','.') ?> EUR</td>
                </tr>
                <?php
                }
                ?>
            </tbody>
        </table>
    </div>

    </body>
</html>