<?php
require_once 'translate.php';
require_once 'miniweblib.php';


$filterRequest = false;
$thisSearchKey = '';
if( $_SERVER['REQUEST_METHOD']=='GET' && array_key_exists('search',$_GET) )
{
    $thisSearchKey = $_GET['search'];
    $cacheFileName = CCAPI_CACHEDIR.'search'.DIRECTORY_SEPARATOR.$thisSearchKey.'.post';
    
    if( file_exists($cacheFileName) )
    {
        $tmpData = file_get_contents($cacheFileName);
        $filterRequest = unserialize($tmpData);
    }
}


$_POST_accs = array();
if( is_array($filterRequest) && array_key_exists('accs',$filterRequest) )
{
    $_POST_accs = $filterRequest['accs'];
}


try
{
	// Objekte fr den Filter vorbereiten
    $VehicleFilterRequest = new stdClass;
    $VehicleFilterMin = new stdClass;
    $VehicleFilterMax = new stdClass;

	$VehicleFilterRequest->State = new stdClass;
	
	// keine Verkauften Fahrzeuge
	$VehicleFilterRequest->State->Sold = false;
	// keine geloeschten Fahrzeuge
	$VehicleFilterRequest->State->Deleted = false;
	
	
    $filter = new stdClass();
    $filter->BaseValue = $VehicleFilterRequest;
    $filter->MinValue = $VehicleFilterMin;
    $filter->MaxValue = $VehicleFilterMax;

    $plainFilter = clone $filter;
    $plainFilter->BaseValue = clone $filter->BaseValue;
    $plainFilter->MinValue = clone $filter->MinValue;
    $plainFilter->MaxValue = clone $filter->MaxValue;
    
    // hersteller
    if( is_array($filterRequest) && array_key_exists('make',$filterRequest) && $filterRequest['make']!='' )
    {
        $filter->BaseValue->Manufacturer = new stdClass();
        $filter->BaseValue->Manufacturer->Id = intval($filterRequest['make']);
    }
    
    // treibstoff
    if( is_array($filterRequest) && array_key_exists('fuel',$filterRequest) && $filterRequest['fuel']!='' )
    {
        $filter->BaseValue->Fuel = intval($filterRequest['fuel']);
    }
    
    // model
    if( is_array($filterRequest) && array_key_exists('model',$filterRequest) && $filterRequest['model']!='' )
    {
        $filter->BaseValue->Model = intval($filterRequest['model']);
    }
    
    // smodel
    if( is_array($filterRequest) && array_key_exists('version',$filterRequest) && $filterRequest['version']!='' )
    {
        $filter->BaseValue->SModel = intval($filterRequest['version']);
    }
    
    // color
    if( is_array($filterRequest) && array_key_exists('acolor',$filterRequest) && $filterRequest['acolor']!='' )
    {
        $filter->BaseValue->Color = new stdClass();
        $filter->BaseValue->Color->External = intval($filterRequest['acolor']);
    }
    
    // colormetallic
    if( is_array($filterRequest) && array_key_exists('colormetallic',$filterRequest) && $filterRequest['colormetallic']=='1' )
    {
        if( !isset($filter->BaseValue->Color) )
        {
            $filter->BaseValue->Color = new stdClass();
        }
        $filter->BaseValue->Color->Metalic = 1;
    }
    
    // unfallfrei
    if( is_array($filterRequest) && array_key_exists('accidentcar',$filterRequest) && $filterRequest['accidentcar']!='' )
    {
        $filter->BaseValue->FreeOfAccident = intval($filterRequest['accidentcar']);
    }
    
    
    
    
    // KW
    if( is_array($filterRequest) && array_key_exists('kw_from',$filterRequest) && $filterRequest['kw_from']!='')
    {
        $filter->MinValue->Power = intval($filterRequest['kw_from']);
    }
    
    if( is_array($filterRequest) && array_key_exists('kw_to',$filterRequest) && $filterRequest['kw_to']!='')
    {
        $filter->MaxValue->Power = intval($filterRequest['kw_to']);
    }
    
    // Accs
    if( is_array($filterRequest) && array_key_exists('accs',$filterRequest) && is_array($filterRequest['accs']))
    {
        //$filter->MaxValue->Power = intval($filterRequest['kw_to']);
        
        $filter->BaseValue->AccsList = new stdClass;
        foreach ( $filterRequest['accs'] as $accs_name => $accs_value )
        {
            $filter->BaseValue->AccsList->Accs[] = array('Key'=>$accs_name,'Value'=>$accs_value);
        }
    }

    // KM
    if( is_array($filterRequest) && array_key_exists('km_from',$filterRequest) && $filterRequest['km_from']!='')
    {
        $filter->MinValue->Km = intval($filterRequest['km_from']);
    }
    
    if( is_array($filterRequest) && array_key_exists('km_to',$filterRequest) && $filterRequest['km_to']!='')
    {
        $filter->MaxValue->Km = intval($filterRequest['km_to']);
    }

    // Erstzulassung
    if( is_array($filterRequest) && array_key_exists('ez_from',$filterRequest) && $filterRequest['ez_from']!='')
    {
        $filter->MinValue->Regdate = ($filterRequest['ez_from']);
    }
    
    if( is_array($filterRequest) && array_key_exists('ez_to',$filterRequest) && $filterRequest['ez_to']!='')
    {
        $filter->MaxValue->Regdate = ($filterRequest['ez_to']);
    }

    // Preis
    if( is_array($filterRequest) && array_key_exists('ep_from',$filterRequest) && $filterRequest['ep_from']!='')
    {
        $filter->MinValue->Price = new stdClass();
        $filter->MinValue->Price->Client = intval($filterRequest['ep_from']);
    }
    
    if( is_array($filterRequest) && array_key_exists('ep_to',$filterRequest) && $filterRequest['ep_to']!='')
    {
        $filter->MaxValue->Price = new stdClass();
        $filter->MaxValue->Price->Client = intval($filterRequest['ep_to']);
    }
    

    $dropdownData = array();
    $dropdownData['power'] = array();
    

    $groupReturn = cachedSearchList( array( 'Power' , $plainFilter ), $client );
    $dropdownData['power'] = getGroupData($groupReturn);
    
    $groupReturn = cachedSearchList( array( 'Fuel', $plainFilter ), $client );
    $dropdownData['fuel'] = getGroupData($groupReturn);
    
    $groupReturn = cachedSearchList( array('Manufacturer', $plainFilter), $client );//$client->doVehicleFieldGroupView( 'Manufacturer', $plainFilter );
    $dropdownData['manufacturer'] = getGroupData($groupReturn);
    unset($dropdownData['manufacturer'][0]);
    
    $groupReturn = cachedSearchList( array( 'RegDate', $plainFilter ), $client );
    $dropdownData['regdate'] = getGroupData($groupReturn);
    
    $groupReturn = cachedSearchList( array( 'Km', $plainFilter ), $client );
    $dropdownData['km'] = getGroupData($groupReturn);
    
    $groupReturn = cachedSearchList( array( 'Price.Client', $plainFilter ), $client );
    $dropdownData['price'] = getGroupData($groupReturn);
    
    $groupReturn = cachedSearchList( array( 'Type', $plainFilter ), $client );
    $dropdownData['type'] = getGroupData($groupReturn);
    
    $groupReturn = cachedSearchList( array( 'Area', $plainFilter ), $client );
    $dropdownData['area'] = getGroupData($groupReturn);
    
    $groupReturn = cachedSearchList( array( 'FullCategory', $plainFilter ), $client );
    $dropdownData['karoform'] = getGroupData($groupReturn);
	
	$tmp = array();
	foreach( $dropdownData['karoform'] as $key => $label )
	{
		if( substr($label,-2)=='.0' )
		{
			$label = substr($label,0,-2);
		}
		
		$tmp[ $key ] = $CCAPI_LANG['karo'][$label];
	}
	$dropdownData['karoform'] = $tmp;
	
	
    $groupReturn = cachedSearchList( array( 'Gearbox', $plainFilter ), $client );
    $dropdownData['getriebe'] = getGroupData($groupReturn);
	
	
    $groupReturn = cachedSearchList( array( 'Color.External', $plainFilter ), $client );
    $dropdownData['colors'] = getGroupData($groupReturn);
    
    $dropdownData['model'] = array();
    if( is_array($filterRequest) && array_key_exists('make',$filterRequest) )
    {
        $groupReturn = cachedSearchList( array( 'Model', $filter ), $client );
        $dropdownData['model'] = getGroupData($groupReturn);
    }
     
}
catch( Exception $e )
{
    echo $e->getMessage();
    die();
}


?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">

<html>
    <head>
        <meta http-equiv="Content-Type" content=
        "text/html; charset=UTF-8">

        <title>KFZ Suche</title>
        <link rel="stylesheet" type="text/css" href="http://yui.yahooapis.com/2.4.1/build/reset-fonts-grids/reset-fonts-grids.css">
        <link rel="stylesheet" type="text/css" media="screen" href="css/design1.css">
		<script language="JavaScript" type="text/javascript" src="js/cc.js"></script>
<!--[if IE 7]>
	<link rel="stylesheet" type="text/css" href="css/ie7.css">
<![endif]-->
<!--[if lte IE 6]>
	<link rel="stylesheet" type="text/css" href="css/ie6.css">
<![endif]-->
		<link rel="stylesheet" type="text/css" media="print" href="css/design1p.css">
    </head>

    <body>
<a class="back" href="search.php">Suche neustarten</a>

    <div class="SearchForm">
        <h2>CarApi KFZ Suche</h2>
        <form action="list.php" method="post">
        <fieldset class="allgemein">
            <legend>Allgemeine Angaben</legend>
        
            <label for="make">Marke</label>
            <select id="make" name="make" tabindex="100">
            <?php echo generateOption('make',$dropdownData['manufacturer'],'',array(),$filterRequest); ?>
            </select>
            
            <label for="kfzkat">Fahrzeugkategorie</label>
            <select id="kfzkat" name="kfzkat" tabindex="104">
            <?php echo generateOption('kfzkat',$dropdownData['type'],'',$CCAPI_LANG['type'],$filterRequest); ?>
            </select><br />

            <label for="model">Modell</label>
            <select id="model" name="model" tabindex="101">
            <?php echo generateOption('model',$dropdownData['model'],'',array(),$filterRequest); ?>
            </select>

            <label for="karoform">Karosserieform</label>
            <select id="karoform" name="karoform" tabindex="105">
            <?php echo generateOption('karoform',$dropdownData['karoform'],'',array(),$filterRequest); ?>
            </select><br />
            
            <label for="version">Version</label>
            <input id="version" name="version" tabindex="102">
            
            <label for="getriebe">Getriebe</label>
            <select id="getriebe" name="getriebe" tabindex="106">
            <?php echo generateOption('getriebe',$dropdownData['getriebe'],'',$CCAPI_LANG['gearbox'],$filterRequest); ?>
            </select><br />
            
            <label for="fuel">Kraftstoff</label>
            <select id="fuel" name="fuel" tabindex="103">
            <?php echo generateOption('fuel',$dropdownData['fuel'],'',$CCAPI_LANG['fuel'],$filterRequest); ?>
            </select><br />
        
        <br />
        
            <label for="kw_from">Leistung</label>
            <select class="half" id="kw_from" name="kw_from" tabindex="110">
            <?php echo generateOption('kw_from',$dropdownData['power'],'formatKW',array(),$filterRequest); ?>
            </select>
            <select class="half_outer" id="kw_to" name="kw_to" tabindex="111">
            <?php echo generateOption('kw_to',$dropdownData['power'],'formatKW',array(),$filterRequest); ?>
            </select> 
        
            <label for="accidentcar">Unfallwagen</label>
            <input type="checkbox" id="accidentcar" name="accidentcar" value="1" class="quarter_outer" tabindex="118" <?php echo isCheckboxChecked($filterRequest,'accidentcar'); ?>/><br />
            
            
            <label for="ez_from">Erstzulassung</label>
            <select class="half" id="ez_from" name="ez_from" tabindex="112">
            <?php echo generateOption('ez_from',$dropdownData['regdate'],'formatDate',array(),$filterRequest); ?>
            </select>
            <select class="half_outer" id="ez_to" name="ez_to" tabindex="113">
            <?php echo generateOption('ez_to',$dropdownData['regdate'],'formatDate',array(),$filterRequest); ?>
            </select>
            <br />
            
            <label for="km_from">Kilometerstand</label>
            <select class="half" id="km_from" name="km_from" tabindex="114">
            <?php echo generateOption('km_from',$dropdownData['km'],'',array(),$filterRequest); ?>
            </select>
            <select class="half_outer" id="km_to" name="km_to" tabindex="115">
            <?php echo generateOption('km_to',$dropdownData['km'],'',array(),$filterRequest); ?>
            </select>
            <br />
            
            <label for="acolor">Au&szlig;enfarbe</label>
            <select id="acolor" name="acolor" tabindex="116">
            <?php echo generateOption('acolor',$dropdownData['colors'],'',$CCAPI_LANG['colors'],$filterRequest); ?>
            </select>
        
            <label for="colormetallic">Metallic<input type="hidden" name="colormetallic" value="0"></label>
            <input type="checkbox" id="colormetallic" name="colormetallic" value="1" class="quarter_outer" tabindex="119" <?php echo isCheckboxChecked($filterRequest,'colormetallic'); ?>/><br />
            
        <hr />
            
            <label for="ep_from">Endpreis (&euro;)</label>
            <select class="half" id="ep_from" name="ep_from" tabindex="120">
            <?php echo generateOption('ep_from',$dropdownData['price'],' &euro;',array(),$filterRequest); ?>
            </select>
            <select class="half_outer" id="ep_to" name="ep_to" tabindex="121">
            <?php echo generateOption('ep_to',$dropdownData['price'],' &euro;',array(),$filterRequest); ?>
            </select><br />
        <!--    
            <label for="ep_mwst">MwSt. ausweisbar</label>
            <input type="checkbox" id="ep_mwst" name="ep_mwst" value="1" class="quarter_outer" tabindex="122" <?php echo isCheckboxChecked($filterRequest,'ep_mwst'); ?>/><br />
            
            <label for="lea_from">Leasing (&euro;)</label>
            <select class="half" id="lea_from" name="lea_from" tabindex="123"></select>
            <select class="half_outer" id="lea_to" name="lea_to" tabindex="124"></select>
            <br />
            
            <label for="fin_from">Finanzierung (&euro;)</label>
            <select class="half" id="fin_from" name="fin_from" tabindex="125"></select>
            <select class="half_outer" id="fin_to" name="fin_to" tabindex="126"></select>
            <br />
            
        <hr />
        
            <label for="country">Land</label>
            <select id="country" name="country"></select>
        
            <label for="europe">Ganz Europa</label>
            <input type="checkbox" id="europe" name="europe" class="quarter_outer"><br />
            
            <label for="umkreis_km">Umkreis</label>
            <select class="half" id="umkreis_km" name="umkreis_km"></select> <input class="quarter_outer" title="PLZ" type="text" value="" id="umkreis_plz" name="umkreis_plz"><br />
        -->
        </fieldset>
        
        <input type="submit" value="Ergebnisse Anzeigen" name="submit" class="submit" tabindex="127"/>
        <br style="clear:both;" />
        <!-- 
        <fieldset class="sort">
            <legend>Ergebnisanzeige und Sortierung</legend>
        
        
        
        
        
            
            <br />
            
        </fieldset>
        
        
        <input type="submit" value="Ergebnisse Anzeigen" name="submit" class="submit" tabindex="128"/>
        <br style="clear:both;" />
        -->
        
        
        <fieldset class="accs">
            <legend>Ausstattung</legend>
            
            <div class="title">Komfort</div>
            <div class="title">Sicherheit</div>
            <div class="title">Au&szlig;en</div>
            
            <br />
            <hr />
        
            <input type="checkbox" id="accs_K05" name="accs[K05]" value="1" class="chbox" tabindex="130" <?php echo isCheckboxChecked($_POST_accs,'K05'); ?> />
            <label for="accs_K05">Elektr. Fensterheber</label>
        
            <input type="checkbox" id="accs_S24" name="accs[S24]" value="1" class="chbox" tabindex="140" <?php echo isCheckboxChecked($_POST_accs,'S24'); ?> />
            <label for="accs_S24">Alarmanlage</label>
        
            <input type="checkbox" id="accs_F12" name="accs[F12]" value="1" class="chbox" tabindex="150" <?php echo isCheckboxChecked($_POST_accs,'F12'); ?> />
            <label for="accs_F12">Alufelgen</label>
            
            <br />
        
            <input type="checkbox" id="accs_I08" name="accs[I08]" value="1"  class="chbox" tabindex="131" <?php echo isCheckboxChecked($_POST_accs,'I08'); ?> />
            <label for="accs_I08">Elektrische Sitze</label>
        
            <input type="checkbox" id="accs_S12" name="accs[S12]" value="1"  class="chbox" tabindex="141" <?php echo isCheckboxChecked($_POST_accs,'S12'); ?> />
            <label for="accs_S12">Airbag</label>
        
            <input type="checkbox" id="accs_V02" name="accs[V02]" value="1"  class="chbox" tabindex="151" <?php echo isCheckboxChecked($_POST_accs,'V02'); ?> />
            <label for="accs_V02">Anh&auml;ngerkupplung</label>
            
            <br />
        
            <input type="checkbox" id="accs_K01" name="accs[K01]" value="1"  class="chbox" tabindex="132" <?php echo isCheckboxChecked($_POST_accs,'K01'); ?> />
            <label for="accs_K01">Klima</label>
        
            <input type="checkbox" id="accs_S13" name="accs[S13]" value="1"  class="chbox" tabindex="142" <?php echo isCheckboxChecked($_POST_accs,'S13'); ?> />
            <label for="accs_S13">Beifahrer Airbag</label>
        
            <input type="checkbox" id="accs_D08" name="accs[D08]" value="1"  class="chbox" tabindex="152" <?php echo isCheckboxChecked($_POST_accs,'D08'); ?> />
            <label for="accs_D08">Dachtr&auml;ger</label>
            
            <br />
        
            <input type="checkbox" id="accs_K02" name="accs[K02]" value="1"  class="chbox" tabindex="133" <?php echo isCheckboxChecked($_POST_accs,'K02'); ?> />
            <label for="accs_K02">Klimaautomatik</label>
        
            <input type="checkbox" id="accs_S15" name="accs[S15]" value="1"  class="chbox" tabindex="143" <?php echo isCheckboxChecked($_POST_accs,'S15'); ?> />
            <label for="accs_S15">Seitenairbags</label>
        
            <input type="checkbox" id="accs_S02" name="accs[S02]" value="1"  class="chbox" tabindex="153" <?php echo isCheckboxChecked($_POST_accs,'S02'); ?> />
            <label for="accs_S02">Nebelscheinwerfer</label>
            
            <br />
        
            <input type="checkbox" id="accs_I04" name="accs[I04]" value="1"  class="chbox" tabindex="134" <?php echo isCheckboxChecked($_POST_accs,'I04'); ?> />
            <label for="accs_I04">Lederausstattung</label>
        
            <input type="checkbox" id="accs_S252" name="accs[S25]" value="2"  class="chbox" tabindex="144" <?php echo isCheckboxChecked($_POST_accs,'S25',2); ?> />
            <label for="accs_S252">Wegfahrsperre</label>
        
            <input type="checkbox" id="accs_E11" name="accs[E11]" value="1"  class="chbox" tabindex="154" <?php echo isCheckboxChecked($_POST_accs,'E11'); ?> />
            <label for="accs_E11">Park Distance Control</label>
            
            <br />
        
            <input type="checkbox" id="accs_K07" name="accs[K07]" value="1"  class="chbox" tabindex="135" <?php echo isCheckboxChecked($_POST_accs,'K07'); ?> />
            <label for="accs_K07">Sitzheizung</label>
        
            <input type="checkbox" id="accs_V28" name="accs[V28]" value="1"  class="chbox" tabindex="145" <?php echo isCheckboxChecked($_POST_accs,'V28'); ?> />
            <label for="accs_V28">Zentralverriegelung</label>
        
            <input type="checkbox" id="accs_D012" name="accs[D01]" value="2"  class="chbox" tabindex="155" <?php echo isCheckboxChecked($_POST_accs,'D01'); ?> />
            <label for="accs_D012">Schiebedach</label>
            
            <br />
        
            <div style="float:left; width:460px;">&nbsp;</div>
            
            <input type="checkbox" id="accs_S01" name="accs[S01]" value="1"  class="chbox" tabindex="156" <?php echo isCheckboxChecked($_POST_accs,'S01'); ?> />
            <label for="accs_S01">Xenonscheinwerfer</label>
            
            
            <br />
            <hr />
            <div class="title">Elektronik</div>
            <div class="title">Fahreigenschaften</div>
            <div class="title">Weitere</div>
            
            <br />
            <hr />
        
            <input type="checkbox" id="accs_E08" name="accs[E08]" value="1"  class="chbox" tabindex="160" <?php echo isCheckboxChecked($_POST_accs,'E08'); ?> />
            <label for="accs_E08">Bordcomputer</label>
        
            <input type="checkbox" id="accs_F01" name="accs[F01]" value="1"  class="chbox" tabindex="170" <?php echo isCheckboxChecked($_POST_accs,'F01'); ?> />
            <label for="accs_F01">ABS</label>
        
            <input type="checkbox" id="accs_V03" name="accs[V03]" value="1"  class="chbox" tabindex="180" <?php echo isCheckboxChecked($_POST_accs,'V03'); ?> />
            <label for="accs_V03">Behindertengerecht</label>
            
            <br />
        
            <input type="checkbox" id="accs_E12" name="accs[E12]" value="1"  class="chbox" tabindex="161" <?php echo isCheckboxChecked($_POST_accs,'E12'); ?> />
            <label for="accs_E12">Navigationssystem</label>
        
            <input type="checkbox" id="accs_F06" name="accs[F06]" value="1"  class="chbox" tabindex="171" <?php echo isCheckboxChecked($_POST_accs,'F06'); ?> />
            <label for="accs_F06">Allrad</label>
            
            <br />
        
            <input type="checkbox" id="accs_E01" name="accs[E01]" value="1"  class="chbox" tabindex="162" <?php echo isCheckboxChecked($_POST_accs,'E01'); ?> />
            <label for="accs_E01">Radio</label>
        
            <input type="checkbox" id="accs_F07" name="accs[F07]" value="1"  class="chbox" tabindex="172" <?php echo isCheckboxChecked($_POST_accs,'F07'); ?> />
            <label for="accs_F07">elektr. Stabilit&auml;tsprog. (ESP)</label>
            
            <br />
        
            <input type="checkbox" id="accs_E03" name="accs[E03]" value="1"  class="chbox" tabindex="163" <?php echo isCheckboxChecked($_POST_accs,'E03'); ?> />
            <label for="accs_E03">Radio/CD</label>
        
            <input type="checkbox" id="accs_F15" name="accs[F15]" value="1"  class="chbox" tabindex="173" <?php echo isCheckboxChecked($_POST_accs,'F15'); ?> />
            <label for="accs_F15">Servolenkung</label>
            
            <br />
        
            <input type="checkbox" id="accs_E13" name="accs[E13]" value="1"  class="chbox" tabindex="164" <?php echo isCheckboxChecked($_POST_accs,'E13'); ?> />
            <label for="accs_E13">Tempomat</label>
        
            <input type="checkbox" id="accs_F18" name="accs[F18]" value="1"  class="chbox" tabindex="174" <?php echo isCheckboxChecked($_POST_accs,'F18'); ?> />
            <label for="accs_F18">Traktionskontrolle</label>
        
            
            <br />
            
        </fieldset>
        <input type="submit" value="Ergebnisse Anzeigen" name="submit" class="submit" tabindex="180" />
        <br style="clear:both;" />
        
        
        <!-- 
        <fieldset class="waranty">
            <legend> Garantie und Pr&uuml;fungen</legend>
        
        
        
        
        
            
            <br />
            
        </fieldset>
        
        <input type="submit" value="Ergebnisse Anzeigen" name="submit" class="submit" tabindex="200"/>
        <br style="clear:both;" />
        -->
        
        
        </form>
        
        
    </div>
    
    </body>
</html>